Published by
Published on
Features for broadcasting users:* Connect to Lovense toys* View the status of the toys* Add an account to connect websites
License Free
Version 2.0.1
Operating System iOS
System Requirements Requires iOS 8.0 or later. Compatible with iPhone, iPad, and iPod touch.
Published by
Published on

ZDNET Latest Articles